---
kind: pipeline
name: default

steps:
  - name: build
    image: node
    commands:
      - npm install -g gulp -s
      - npm install -s
      - gulp
    when:
      event: push

  - name: update
    image: appleboy/drone-git-push
    settings:
      branch: master
      remote: gitea@gitea.rknet.org:xoxys/theme-geeklab.git
      commit: true
      commit_message: "[SKIP CI] Update artifacts"
      force: false
      author_name: DroneShipper
      author_email: shipper@rknet.org
    environment:
      GIT_PUSH_SSH_KEY:
        from_secret: git_push_ssh_key
    when:
      event: push

  - name: notify
    image: plugins/matrix
    settings:
      homeserver: https://matrix.rknet.org
      roomid: MtidqQXWWAtQcByBhH:rknet.org
      template: "Status: **{{ build.status }}**<br/> Build: [{{ repo.Owner }}/{{ repo.Name }}]({{ build.link }}) ({{ build.branch }}) by {{ build.author }}<br/> Message: {{ build.message }}"
      username:
        from_secret: matrix_username
      password:
        from_secret: matrix_password
    when:
      status:
        - success
        - failure
